Package com.arms.egovframework.javaservice.treeframework.util

## Class ParameterParser

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.ParameterParser

-     public class ParameterParser
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.slf4j.Logger` | `logger` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterParser​(javax.servlet.ServletRequest req)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `get​(java.lang.String name)` |
    `java.lang.String` | `get​(java.lang.String name, java.lang.String def)` |
    `java.lang.String[]` | `getArray​(java.lang.String name)` |
    `java.lang.String` | `getArrayString​(java.lang.String name, java.lang.String separator)` |
    `java.lang.String` | `getArraySum​(java.lang.String name)` |
    `boolean` | `getBoolean​(java.lang.String name)` |
    `boolean` | `getBoolean​(java.lang.String name, boolean def)` |
    `int` | `getCurrency​(java.lang.String name)` |
    `int` | `getCurrency​(java.lang.String name, int def)` |
    `java.util.Date` | `getDate​(java.lang.String name)` |
    `java.util.Date` | `getDate​(java.lang.String name, java.util.Date def)` |
    `java.util.Date` | `getDateEnd()` |
    `java.util.Date` | `getDateEndDate()` |
    `java.util.Date` | `getDateHour​(java.lang.String name)` |
    `java.util.Date` | `getDateHour​(java.lang.String name, java.util.Date def)` |
    `java.util.Date` | `getDateSearchDate​(int addHour)` |
    `java.util.Date` | `getDateStart​(int day)` |
    `java.util.Date` | `getDateStartDate​(int addHour)` |
    `java.util.Date` | `getDateStartDateMonth​(int addMonth)` |
    `java.util.Date` | `getDateTime​(java.lang.String name)` |
    `java.util.Date` | `getDateTime​(java.lang.String name, java.util.Date def)` |
    `java.util.Date` | `getEndDate​(java.lang.String name)` |
    `int` | `getInt​(java.lang.String name)` |
    `int` | `getInt​(java.lang.String name, int def)` |
    `int[]` | `getIntArray​(java.lang.String name)` |
    `long` | `getKey()` |
    `java.util.List<java.lang.Long>` | `getKeyLong()` |
    `java.util.List<java.lang.Long>` | `getKeyLong​(java.lang.String keyName)` |
    `java.util.List<java.lang.String>` | `getKeyString()` |
    `java.util.List<java.lang.String>` | `getKeyString​(java.lang.String keyName)` |
    `java.util.List<java.lang.Long>` | `getListLongArray​(java.lang.String name)` |
    `long` | `getLong​(java.lang.String name)` |
    `long` | `getLong​(java.lang.String name, long def)` |
    `long[]` | `getLongArray​(java.lang.String name)` |
    `java.util.List<java.lang.Long>` | `getNameLong()` |
    `java.util.List<java.lang.Long>` | `getStringForDelimeterLong​(java.lang.String name, java.lang.String delimeter)` |
    `boolean` | `isModify()` |
    `java.lang.String` | `paramDebug()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public org.slf4j.Logger logger

  - ### Constructor Detail

    - #### ParameterParser

          public ParameterParser​(javax.servlet.ServletRequest req)

  - ### Method Detail

    - #### get

          public java.lang.String get​(java.lang.String name)

    - #### get

          public java.lang.String get​(java.lang.String name,
                                      java.lang.String def)

    - #### getBoolean

          public boolean getBoolean​(java.lang.String name)

    - #### getBoolean

          public boolean getBoolean​(java.lang.String name,
                                    boolean def)

    - #### getInt

          public int getInt​(java.lang.String name)

    - #### getInt

          public int getInt​(java.lang.String name,
                            int def)

    - #### getCurrency

          public int getCurrency​(java.lang.String name)

    - #### getCurrency

          public int getCurrency​(java.lang.String name,
                                 int def)

    - #### getLong

          public long getLong​(java.lang.String name)

    - #### getKey

          public long getKey()

    - #### getKeyLong

          public java.util.List<java.lang.Long> getKeyLong()

    - #### getKeyLong

          public java.util.List<java.lang.Long> getKeyLong​(java.lang.String keyName)

    - #### getNameLong

          public java.util.List<java.lang.Long> getNameLong()

    - #### getKeyString

          public java.util.List<java.lang.String> getKeyString()

    - #### getKeyString

          public java.util.List<java.lang.String> getKeyString​(java.lang.String keyName)

    - #### isModify

          public boolean isModify()

    - #### getLong

          public long getLong​(java.lang.String name,
                              long def)

    - #### getDate

          public java.util.Date getDate​(java.lang.String name)

    - #### getEndDate

          public java.util.Date getEndDate​(java.lang.String name)

    - #### getDate

          public java.util.Date getDate​(java.lang.String name,
                                        java.util.Date def)

    - #### getDateTime

          public java.util.Date getDateTime​(java.lang.String name)

    - #### getDateTime

          public java.util.Date getDateTime​(java.lang.String name,
                                            java.util.Date def)

    - #### getDateSearchDate

          public java.util.Date getDateSearchDate​(int addHour)

    - #### getDateStart

          public java.util.Date getDateStart​(int day)

    - #### getDateEnd

          public java.util.Date getDateEnd()

    - #### getDateStartDate

          public java.util.Date getDateStartDate​(int addHour)

    - #### getDateStartDateMonth

          public java.util.Date getDateStartDateMonth​(int addMonth)

    - #### getDateEndDate

          public java.util.Date getDateEndDate()

    - #### getDateHour

          public java.util.Date getDateHour​(java.lang.String name)

    - #### getDateHour

          public java.util.Date getDateHour​(java.lang.String name,
                                            java.util.Date def)

    - #### getArray

          public java.lang.String[] getArray​(java.lang.String name)

    - #### getArrayString

          public java.lang.String getArrayString​(java.lang.String name,
                                                 java.lang.String separator)

    - #### getArraySum

          public java.lang.String getArraySum​(java.lang.String name)

    - #### getIntArray

          public int[] getIntArray​(java.lang.String name)

    - #### getLongArray

          public long[] getLongArray​(java.lang.String name)

    - #### getListLongArray

          public java.util.List<java.lang.Long> getListLongArray​(java.lang.String name)

    - #### getStringForDelimeterLong

          public java.util.List<java.lang.Long> getStringForDelimeterLong​(java.lang.String name,
                                                                          java.lang.String delimeter)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### paramDebug

          public java.lang.String paramDebug()